## qtop 2.2.4

=== CMakeLists.txt ===
# $Id: CMakeLists.txt,v 1.18 2014/02/21 09:31:46 hupereir Exp $
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.6)
IF( COMMAND CMAKE_POLICY )
  CMAKE_POLICY( SET CMP0003 NEW )
ENDIF()

SET(CMAKE_AUTOMOC TRUE)

PROJECT( Top )
SET( TOP_VERSION_MAJOR 2 )
SET( TOP_VERSION_MINOR 2 )
SET( TOP_VERSION_PATCH 4 )
SET( TOP_VERSION ${TOP_VERSION_MAJOR}.${TOP_VERSION_MINOR}.${TOP_VERSION_PATCH} )

########### modules #################
SET( CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/base-cmake" )
INCLUDE( Macros )

########### timestamp #########
GET_BUILD_TIMESTAMP( TIMESTAMP )

########### packages ###############
SET( CPACK_PACKAGE_NAME "Top" )
SET( CPACK_PACKAGE_VENDOR "hugo.pereira@free.fr" )
SET( CPACK_PACKAGE_VERSION "${TOP_VERSION}" )
SET( CPACK_SOURCE_GENERATOR TGZ )
SET( CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}" )
INCLUDE( CPack )

########### configuration files ###############
CONFIGURE_FILE( Top.spec.cmake ${CMAKE_SOURCE_DIR}/Top.spec )

########### subdirectories ###############
IF( ENABLE_SHARED )

  SET( CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE )
  LINK_DIRECTORIES( ${CMAKE_INSTALL_PREFIX}/lib )

ELSE()

  ADD_SUBDIRECTORY( base )
  ADD_SUBDIRECTORY( base-qt )
  ADD_SUBDIRECTORY( base-server )

ENDIF()

ADD_SUBDIRECTORY( src )
