=== base-help/CMakeLists.txt ===
# $Id: CMakeLists.txt,v 1.13 2013/11/14 17:19:40 hupereir Exp $
PROJECT( BASE_HELP )
SET( BASE_HELP_VERSION_MAJOR 1 )
SET( BASE_HELP_VERSION_MINOR 0 )
SET( BASE_HELP_VERSION_PATCH 0 )
SET( BASE_HELP_VERSION ${BASE_HELP_VERSION_MAJOR}.${BASE_HELP_VERSION_MINOR}.${BASE_HELP_VERSION_PATCH} )
SET( BASE_HELP_SOVERSION ${BASE_HELP_VERSION_MAJOR}.${BASE_HELP_VERSION_MINOR} )

########### Qt4 configuration #########
IF( USE_QT5 )

  FIND_PACKAGE( Qt5Widgets REQUIRED )

ELSE()

  FIND_PACKAGE( Qt4 REQUIRED )
  SET( QT_USE_QTXML TRUE )
  INCLUDE( ${QT_USE_FILE} )
  ADD_DEFINITIONS( ${QT_DEFINITIONS} )

ENDIF()

########### includes ###############
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/base)
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/base-qt)

########### links #########
SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
LINK_DIRECTORIES( ${CMAKE_INSTALL_PREFIX}/lib )

########### next target ###############
SET( base_help_SOURCES
  HelpDialog.cpp
  HelpItem.cpp
  HelpManager.cpp
  HelpModel.cpp
  )

IF( ENABLE_SHARED )

  ADD_LIBRARY( base-help SHARED ${base_help_SOURCES} )
  SET_TARGET_PROPERTIES( base-help PROPERTIES VERSION ${BASE_HELP_VERSION} SOVERSION ${BASE_HELP_SOVERSION} )
  INSTALL( TARGETS base-help DESTINATION ${CMAKE_INSTALL_PREFIX}/lib )

ELSE()

  ADD_LIBRARY( base-help STATIC ${base_help_SOURCES} )

ENDIF()

TARGET_LINK_LIBRARIES( base-help ${QT_LIBRARIES} base base-qt )

IF( USE_QT5 )

  QT5_USE_MODULES( base-help Widgets Xml )

ENDIF()
