=== base-notifications/CMakeLists.txt ===
# $Id: CMakeLists.txt,v 1.7 2014/04/27 19:27:49 hupereir Exp $
PROJECT( BASE_NOTIFICATIONS )
SET( BASE_NOTIFICATIONS_VERSION_MAJOR 1 )
SET( BASE_NOTIFICATIONS_VERSION_MINOR 0 )
SET( BASE_NOTIFICATIONS_VERSION_PATCH 0 )
SET( BASE_NOTIFICATIONS_VERSION ${BASE_NOTIFICATIONS_VERSION_MAJOR}.${BASE_NOTIFICATIONS_VERSION_MINOR}.${BASE_NOTIFICATIONS_VERSION_PATCH} )
SET( BASE_NOTIFICATIONS_SOVERSION ${BASE_NOTIFICATIONS_VERSION_MAJOR}.${BASE_NOTIFICATIONS_VERSION_MINOR} )

########### Qt4 configuration #########
IF( USE_QT5 )

  FIND_PACKAGE( Qt5Widgets REQUIRED )

ELSE()

  FIND_PACKAGE( Qt4 REQUIRED )
  INCLUDE( ${QT_USE_FILE} )
  ADD_DEFINITIONS( ${QT_DEFINITIONS} )

ENDIF()

############ Notifications
FIND_PACKAGE( PkgConfig )
IF( PKG_CONFIG_FOUND )

  PKG_CHECK_MODULES( LIBNOTIFY libnotify )
  IF( LIBNOTIFY_FOUND )
    INCLUDE_DIRECTORIES( ${LIBNOTIFY_INCLUDE_DIRS} )
    ADD_DEFINITIONS( -DWITH_LIBNOTIFY=${LIBNOTIFY_FOUND} )

  ELSE()

    ADD_DEFINITIONS( -DWITH_LIBNOTIFY=FALSE )

  ENDIF()

ELSE()

  ADD_DEFINITIONS( -DWITH_LIBNOTIFY=FALSE )

ENDIF()


########### includes ###############
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/base)
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/base-qt)

########### links #########
SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
LINK_DIRECTORIES( ${CMAKE_INSTALL_PREFIX}/lib )

########### next target ###############
SET( base_notifications_SOURCES
  SystemNotifications.cpp
  SystemNotifications_p.cpp
)

IF( ENABLE_SHARED )

  ADD_LIBRARY( base-notifications SHARED ${base_notifications_SOURCES} )
  SET_TARGET_PROPERTIES( base-notifications PROPERTIES VERSION ${BASE_NOTIFICATIONS_VERSION} SOVERSION ${BASE_NOTIFICATIONS_VERSION} )
  INSTALL( TARGETS base-notifications DESTINATION ${CMAKE_INSTALL_PREFIX}/lib )

ELSE()

  ADD_LIBRARY( base-notifications STATIC ${base_notifications_SOURCES} )

ENDIF()

TARGET_LINK_LIBRARIES( base-notifications ${QT_LIBRARIES} base base-qt )

IF( LIBNOTIFY_FOUND )
  TARGET_LINK_LIBRARIES( base-notifications ${LIBNOTIFY_LIBRARIES} )
ENDIF()
