=== base-qt/CMakeLists.txt ===
# $Id: CMakeLists.txt,v 1.52 2014/05/12 18:49:20 hupereir Exp $
PROJECT( BASE_QT )
SET( BASE_QT_VERSION_MAJOR 1 )
SET( BASE_QT_VERSION_MINOR 0 )
SET( BASE_QT_VERSION_PATCH 0 )
SET( BASE_QT_VERSION ${BASE_QT_VERSION_MAJOR}.${BASE_QT_VERSION_MINOR}.${BASE_QT_VERSION_PATCH} )
SET( BASE_QT_SOVERSION ${BASE_QT_VERSION_MAJOR}.${BASE_QT_VERSION_MINOR} )

########### Qt configuration #########
IF( USE_QT5 )

  FIND_PACKAGE( Qt5Widgets REQUIRED )
  FIND_PACKAGE( Qt5Gui REQUIRED )

  # needed to access QPA classes
  INCLUDE_DIRECTORIES(${Qt5Widgets_PRIVATE_INCLUDE_DIRS})

ELSE()

  FIND_PACKAGE( Qt4 REQUIRED )
  SET( QT_USE_QTXML TRUE )
  INCLUDE( ${QT_USE_FILE} )
  ADD_DEFINITIONS( ${QT_DEFINITIONS} )

ENDIF()

########### X11 #########
IF( UNIX AND NOT APPLE )

  FIND_PACKAGE( X11 )
  IF( X11_FOUND )
     FIND_PACKAGE(XCB REQUIRED COMPONENTS XCB KEYSYMS)
     FIND_PACKAGE(X11_XCB REQUIRED)
     INCLUDE_DIRECTORIES( ${X11_X11_INCLUDE_PATH} )
  ENDIF()

  ADD_DEFINITIONS( -DHAVE_X11=${X11_FOUND} )

ELSE()

  ADD_DEFINITIONS( -DHAVE_X11=0 )

ENDIF()

########### includes ###############
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/base)

########### links #########
SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
LINK_DIRECTORIES( ${CMAKE_INSTALL_PREFIX}/lib )

########### next target ###############
SET( base_qt_SOURCES
  AnimatedLabel.cpp
  AnimatedLineEditor.cpp
  AnimatedStackedWidget.cpp
  AnimatedTabWidget.cpp
  AnimatedTextEditor.cpp
  AnimatedTreeView.cpp
  BaseContextMenu.cpp
  BaseFileIconProvider.cpp
  BaseFileInfo.cpp
  BaseFileInfoConfigurationWidget.cpp
  BaseFileInfoToolTipWidget.cpp
  BaseFileInformationDialog.cpp
  BaseFindDialog.cpp
  BaseMainWindow.cpp
  BaseConfigurationDialog.cpp
  BaseDialog.cpp
  BasePrintHelper.cpp
  BaseProgressBar.cpp
  BaseReplaceDialog.cpp
  BaseStatusBar.cpp
  BaseToolTipWidget.cpp
  BlockHighlight.cpp
  BoxSelection.cpp
  BrowsedLineEditor.cpp
  BrowseIconButton.cpp
  BusyWidget.cpp
  ClockLabel.cpp
  ColorDisplay.cpp
  ColorGrabButton.cpp
  ColorGrabObject.cpp
  ColorMenu.cpp
  ColumnSelectionMenu.cpp
  ColumnSortingMenu.cpp
  ContextMenu.cpp
  CounterDialog.cpp
  CounterModel.cpp
  CursorMonitor.cpp
  CustomComboBox.cpp
  CustomDialog.cpp
  CustomPixmap.cpp
  CustomSlider.cpp
  CustomTextDocument.cpp
  CustomToolBar.cpp
  CustomToolButton.cpp
  DebugMenu.cpp
  DefaultFolders.cpp
  DetailsDialog.cpp
  DockPanel.cpp
  DockWidget.cpp
  DragMonitor.cpp
  ElidedLabel.cpp
  ErrorHandler.cpp
  FileDialog.cpp
  FileList.cpp
  FilePermissionsWidget.cpp
  FileRecordModel.cpp
  FileSystemWatcher.cpp
  FontEditor.cpp
  FontInfo.cpp
  GridLayoutItem.cpp
  HtmlDialog.cpp
  HtmlTextNode.cpp
  IconCacheDialog.cpp
  IconCacheModel.cpp
  IconEngine.cpp
  IconSize.cpp
  IconSizeMenu.cpp
  IconView.cpp
  IconViewItem.cpp
  ImageFileDialog.cpp
  InformationDialog.cpp
  ItemModel.cpp
  KeyModifier.cpp
  LineEditor.cpp
  LineNumberDisplay.cpp
  LogWidget.cpp
  MimeTypeIconProvider.cpp
  OptionBrowsedLineEditor.cpp
  OptionCheckBox.cpp
  OptionColorDisplay.cpp
  OptionComboBox.cpp
  OptionDialog.cpp
  OptionFontEditor.cpp
  OptionFontInfo.cpp
  OptionLineEditor.cpp
  OptionListBox.cpp
  OptionModel.cpp
  OptionRadioButton.cpp
  OptionSlider.cpp
  OptionSpinBox.cpp
  OptionWidgetList.cpp
  PathEditor.cpp
  PathHistory.cpp
  PathHistoryConfiguration.cpp
  PixmapEngine.cpp
  PlacesWidget.cpp
  PrinterOptionWidget.cpp
  PrintPreviewDialog.cpp
  ProgressStatusBar.cpp
  QuestionDialog.cpp
  QtUtil.cpp
  RecentFilesConfiguration.cpp
  RecentFilesMenu.cpp
  RemoveLineBuffer.cpp
  RoundedPath.cpp
  RoundedRegion.cpp
  ScratchFileMonitor.cpp
  ScratchFileRemoveDialog.cpp
  ScrollObject.cpp
  SelectLineDialog.cpp
  SimpleListView.cpp
  SystemEnvironmentDialog.cpp
  TabbedDialog.cpp
  TabWidget.cpp
  TextEditor.cpp
  TextEditorMarginWidget.cpp
  TextEditionDelegate.cpp
  TextEncodingMenu.cpp
  TextPosition.cpp
  TextSeparator.cpp
  ToolBarMenu.cpp
  ToolButtonStyleMenu.cpp
  TransitionWidget.cpp
  TreeItemBase.cpp
  TreeView.cpp
  TreeViewConfiguration.cpp
  TreeViewItemDelegate.cpp
  UserSelectionFrame.cpp
  ValidFileThread.cpp
  WarningDialog.cpp
  WidgetMonitor.cpp
  WinUtil.cpp
  XcbUtil.cpp
  XmlColor.cpp
  XmlCommandLineArguments.cpp
  XmlDocument.cpp
  XmlFileList.cpp
  XmlFileRecord.cpp
  XmlMigration.cpp
  XmlOption.cpp
  XmlOptions.cpp
  XmlPathHistory.cpp
  XmlTextFormatBlock.cpp
  XmlTimeStamp.cpp
  XmlString.cpp
)

SET( base_qt_RESOURCES basePixmaps.qrc)

IF( USE_QT5 )

  QT5_ADD_RESOURCES( base_qt_RESOURCES_RCC ${base_qt_RESOURCES})

ELSE()

  QT4_ADD_RESOURCES( base_qt_RESOURCES_RCC ${base_qt_RESOURCES})

ENDIF()


IF( ENABLE_SHARED )

  ADD_LIBRARY( base-qt SHARED ${base_qt_SOURCES} ${base_qt_RESOURCES_RCC} )
  SET_TARGET_PROPERTIES( base-qt PROPERTIES VERSION ${BASE_QT_VERSION} SOVERSION ${BASE_QT_SOVERSION} )
  INSTALL( TARGETS base-qt DESTINATION ${CMAKE_INSTALL_PREFIX}/lib )

ELSE()

  ADD_LIBRARY( base-qt STATIC ${base_qt_SOURCES} ${base_qt_RESOURCES_RCC} )

ENDIF()

IF( X11_FOUND )

  TARGET_LINK_LIBRARIES( base-qt ${X11_X11_LIB} )
  TARGET_LINK_LIBRARIES( base-qt ${XCB_LIBRARIES} )
  TARGET_LINK_LIBRARIES( base-qt ${X11_XCB_LIBRARIES} )

ENDIF()

TARGET_LINK_LIBRARIES( base-qt ${QT_LIBRARIES} base )

IF( USE_QT5 )

  QT5_USE_MODULES( base-qt Gui Widgets Xml PrintSupport )

ENDIF()
