=== debian/changelog ===
qtop (2.2.4-1) unstable; urgency=low

  * Initial release (Closes: #731881)
  * debian/patches/name.patch:
    - Changes the name of the binary from Top to qtop.

 -- Hugo Lefeuvre <hugo6390@orange.fr>  Mon, 09 Jun 2014 10:37:00 +0200
