=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ 

override_dh_installdocs:
	dh_installdocs debian/COPYING-CMAKE-SCRIPTS
